/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.eclipsenls.message;

/**
 * EclipseNls が内部的に利用するメッセージクラスです。
 */
public class BlancoEclipseNlsMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoEclipseNlsMessageResourceBundle fBundle = new BlancoEclipseNlsMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoEclipseNls]、キー[MBENLI01]の文字列を取得します。
     *
     * No.2:
     * 文字列[メッセージ定義ID[{0}]のパッケージ名が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbenli01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbenli01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBENLI01] " + fBundle.getMbenli01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoEclipseNls]、キー[MBENLI02]の文字列を取得します。
     *
     * No.3:
     * 文字列[メッセージ定義ID[{0}]において、キー[{1}]が2回以上あらわれました。同じキーは2回以上指定することはできません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbenli02(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbenli02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbenli02]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBENLI02] " + fBundle.getMbenli02(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoEclipseNls]、キー[MBENLA01]の文字列を取得します。
     *
     * No.6:
     * 文字列[メタディレクトリ[{0}]が存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbenla01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbenla01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBENLA01] " + fBundle.getMbenla01(arg0);
    }
}
